%Copyright (C) 2005  Tharreau-Taklidi
%This program is free software; you can redistribute it and/or
%modify it under the terms of the GNU General Public License
%as published by the Free Software Foundation; either version 2
%of the License, or (at your option) any later version.

%This program is distributed in the hope that it will be useful,
%but WITHOUT ANY WARRANTY; without even the implied warranty of
%MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%GNU General Public License for more details.

function f = fft2(x,line,column)

%   calculate the two dimensional discrete fast fourier transform
% 
%   fft2(x) returns the two-dimensional Fourier transform of matrix x.
%   If X is a vector, the result will have the same orientation.
%
%   fft2(x,line,column) pads matrix X with zeros to size line-by-column
%   before transforming.


if (nargin == 1) 
	f = x;
       	f = fft(fft(f,[],2),[],1);
		
elseif (nargin == 3)
	s = size(x);
	if (line < s(1) & column < s(2))
		f = x(1:line , 1:column , :);
	elseif (line < s(1))
		f = x(1:line , : , :);
	elseif (column < s(2))
		f = x(: , 1:column , :);
	else
		f = x;
	end
		
    	f = fft(fft(f,column,2),line,1);
	
else
	disp("fft2 error: number of imput argument incorect");
	disp("You must specify, one matrix argument only or matrix argument and column and line number"); 
end   

endfunction