%Copyright (C) 2005  Tharreau-Taklidi
%This program is free software; you can redistribute it and/or
%modify it under the terms of the GNU General Public License
%as published by the Free Software Foundation; either version 2
%of the License, or (at your option) any later version.

%This program is distributed in the hope that it will be useful,
%but WITHOUT ANY WARRANTY; without even the implied warranty of
%MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%GNU General Public License for more details.

function Z = imadd(X,Y)

%   Z = imadd(X,Y)
%   
%   Addition of two images, or addition of a constant and an image
%   
%   Z = imadd(X,Y) adds each element in array X with the corresponding element in array Y 
%   and returns it in Z.
%   X and Y are real, nonsparse numeric arrays with the same size and class, or constant Y is a scalar double.
%   Z has the same size and class as X, unless X is logical, in which case Z is double.
%   
%   If X and Y are integer arrays, elements in the output that exceed the range of the integer type are truncated, and fractional values are rounded.

if (nargin == 2)
	if ( (size(X)==size(Y) ) || ( (prod(size(Y)) == 1)) && (strcmp(class(Y),'double')))
		Z = X + Y;	
	else
		disp("imadd erreur : X and Y arrays must have the same size and class, or Y must have scalar value");
	end
else
	disp("imadd error: number of imput argument incorect");
end	