%Copyright (C) 2005  Berge-Gladel

%This program is free software; you can redistribute it and/or
%modify it under the terms of the GNU General Public License
%as published by the Free Software Foundation; either version 2
%of the License, or (at your option) any later version.

%This program is distributed in the hope that it will be useful,
%but WITHOUT ANY WARRANTY; without even the implied warranty of
%MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%GNU General Public License for more details.

function rgbplot(matrice)

%   RGBPLOT Plot the color map.

%   RGBPLOT(MAP) plots a color map. The colormap must be an m-by-3 
%   matrix which is appropriate input for COLORMAP. 
%   The three columns of the colormap matrix are plotted 
%   in red, green, and blue lines.

%   Example
%   -------
%       [image1,matrice] = imread('2cv.jpg');
%       rgbplot(matrice);

s = size(matrice);

nblig = s(1);
nbcol = s(2);

if nbcol ~= 3
    error('La colormap doit etre une matrice de 3 dimension');
end

i=1:nblig;
plot(i,matrice(i,1),'-r',i,matrice(i,2),'g-',i,matrice(i,3),'b-');
